Linux Mint 20-də Snaps dəstəyini necə aktivləşdirmək olar ... maraqlandığınız təqdirdə

Snaps ilə Linux Mint 20

Bu məqalənin mənasız olduğunu düşünərək buraya gəlmişsinizsə, bildirim ki, qismən sizinlə razıyam. Bir çoxları üçün ən vacib cazibələrdən biridir Linux Mint 20 dəqiq olaraq Flatpak qədər bəyənilməyən Canonical-ın Snap paketlərindən qurtulacaq. Ancaq dürüst olmaq üçün, çox güman ki, geliştiricisinin bizə yalnız snapcraft.io-da (Chromium kimi) təklif etdiyi və ya qeyri-rəsmi bir anbarda, o qədər də etibarlı olmamasına əlavə olaraq (ümumiyyətlə olmasına baxmayaraq) bir şey tapa bilərik, yükləməməyi üstün tutduğumuz asılılıqları quraşdıracaq. Bu vəziyyətdə, bu xüsusi proqrama və bir paketə ehtiyacımız varsa, bu təlimatı izləməyə dəyər olacağıq.

Ancaq başqa bir məqalədə dediyim kimi, bir seçim bu təlimatları izləmək və rəsmi Ubuntu tatlarından hər hansı biri kimi həqiqətən istəsək, snapsı dəstəkləyən bir paylama seçmək deyil. Burada izah olunan şey istəyən istifadəçilər üçündür Linux Mint-dən zövq almağa davam edin və Snap paketlərinə daxil olmağı üstün tutun. Nəşr etmək fikrini mənə Joey Sneddon verdi eyni şeyi etdi başqa bir çox məşhur Ubuntu mütəxəssis mühitində.

Linux Mint 20-də snapd-in quraşdırılması və aktivləşdirilməsi

Linux Mint 20 olmuşdur bu gün beta şəklində buraxıldıvə bunun kimi şeyləri sınamaq üçün sınaq versiyasından daha yaxşıdır. Nə edəcəyimizi bir neçə paket qurmaq və bəzi dəyişikliklər etməkdir, amma bunu israr etmək istəyirəm Yalnız Snap kimi bir tətbiqdən asılı olmasam, bunları etməzdim və Lisiyasını işə saldıqda Linux Mint istifadə etməyi dayandırmaq istəmirəm. Hələ də bu təlimatı izləməklə maraqlanırsınızsa, yoxsa bu məlumatı paylaşdığım üçün məni çox tənqid etməyin, nə etməlisiniz:

  1. Terminal tətbiqini açırıq.
  2. Biz yazdıq:
sudo rm /etc/apt/preferences.d/nosnap.pref
  1. Sonra paketi aşağıdakı əmrlə quraşdırırıq:
sudo apt install snapd

Yuxarıda göstərilənlər lazımdır, çünki Leo Chavez'in xəbər verdiyi kimi, "snapd" paketi şərti olaraq quraşdırıla bilməz, çünki Linux Mint 20 onu bloklayır; quraşdırma namizədiniz olmadığına dair bir səhv göstərir. Yuxarıda izah edilənlərlə bu problem aradan qaldırılmalıdır. Linux Mint 20 adlı bir konfiqurasiya faylı daxildir nosnap.pref aşağıdakı mesajı ehtiva edən:

"Linux Mint artıq bağladığı açıq mənbə 'snapd' müştərisinə sahib Ubuntu Mağazasını dəstəkləmir".

Bu kiçik hiylə ilə biz artıq bacarmalıyıq Chromium quraşdırın Linux Mint 20-də bunu edəcəksinizmi yoxsa Lefebvre və komandasının yeni fəlsəfəsi ilə Linux Mint 20-dən ayrılmaq istərdiniz?


Məqalənin məzmunu bizim prinsiplərimizə uyğundur redaktor etikası. Xəta bildirmək üçün klikləyin burada.

8 şərh, özünüzü buraxın

Şərhinizi buraxın

E-poçt ünvanından dərc olunmayacaq. Lazım alanlar qeyd olunur *

*

*

  1. Verilərdən məsul: Miguel Ángel Gatón
  2. Verilənlərin məqsədi: Nəzarət SPAM, şərh rəhbərliyi.
  3. Qanuniləşdirmə: Sizin razılığınız
  4. Məlumatların ötürülməsi: Qanuni öhdəlik xaricində məlumatlar üçüncü şəxslərə çatdırılmayacaqdır.
  5. Veri saxlama: Occentus Networks (AB) tərəfindən yerləşdirilən verilənlər bazası
  6. Hüquqlar: İstədiyiniz zaman məlumatlarınızı məhdudlaşdıra, bərpa edə və silə bilərsiniz.

  1.   Linux istifadəçi deyib

    Mən bunu etməyəcəyəm.

  2.   Carlos deyib

    Linux nanə bloqunda snap (d) və xrom kimi snap kimi ifadələrin mənası var, bu lağa qoyulub.

    Linux Mint-in gələcəyi ubuntu bazasından daha yaxşı Debian bazasındadır.

  3.   User12 deyib

    Mintin öz Chromium paketini tərtib etməsi olardı (məsələn, Debian tərəfindən dəstəklənən paketdən istifadə edərək), çünki istifadəçiləri paketi birbaşa xrom veb saytından yükləmək üçün göndərmək istədikləri ciddi deyil (və proqram yeniləmələrini almayan istifadəçi üçün risk).

  4.   Carlos deyib

    Bunun lazım olacağını düşünmürəm. Linux Mint Ubuntu'dan daha yaxşı tətbiq olunur, inşallah zamanla baza olaraq Debian'a keçə biləcəklər.

    1.    zəhər deyib

      Məsələ burasındadır ki, Ubuntu bunu daha çox proqramla edərsə ... nanə onları tərtib etməlidir. Zərərlərinizi bir anda azaltmaq daha yaxşıdır.

  5.   gərmə deyib

    İşlək olub olmadığını görmək üçün snap quraşdıracam.
    flatpak, quraşdırarkən, şarj edərkən və s. mənə çox problem verir.
    bundan əlavə LM repo versiyasında işləməyən anbox test etmək istəyirəm

  6.   Thulium deyib

    Çox gözəl !!!! nəhayət essa bagaça quraşdırın. Linuxu mds etmək çox çətindir, pəncərələrdən uzaqlaşdı, mss dəyər.

  7.   Daio deyib

    dost, iki ildən sonra sənə deyirəm ki, səni sevirəm, təşəkkür edirəm!